MCP Tools Reference: ces.googleapis.com

ツール: list_changelogs

指定されたアプリの変更履歴を一覧表示します。

次のサンプルは、curl を使用して list_changelogs MCP ツールを呼び出す方法を示しています。

Curl リクエスト
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_changelogs",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

AgentService.ListChangelogs のリクエスト メッセージです。

ListChangelogsRequest

JSON 表現
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
フィールド
parent

string

必須。変更ログを一覧表示するアプリのリソース名。

pageSize

integer

省略可。リクエストされたページサイズ。サーバーはリクエストされた数よりも少ない項目を返す場合があります。指定しない場合は、サーバーで適切なデフォルトが選択されます。

pageToken

string

省略可。前のリスト AgentService.ListChangelogs 呼び出しから返された next_page_token 値。

filter

string

省略可。変更ログを一覧表示するときに適用するフィルタ。詳しくは、https://google.aip.dev/160 をご覧ください。

フィルタ文字列を使用して、actionresource_typeresource_nameauthorcreate_time でフィルタできます。: 比較演算子は、文字列フィールドで大文字と小文字を区別しない部分一致に使用できます。一方、= は大文字と小文字を区別する完全一致を実行します。

例: * action:update(大文字と小文字を区別しない部分一致) * action="Create"(大文字と小文字を区別する完全一致) * resource_type:agent * resource_name:my-agent * author:me@example.com * create_time > "2025-01-01T00:00:00Z" * create_time <= "2025-01-01T00:00:00Z" AND resource_type:tool

orderBy

string

省略可。並べ替えの基準となるフィールド。「name」と「create_time」のみがサポートされています。詳しくは、https://google.aip.dev/132#ordering をご覧ください。

出力スキーマ

AgentService.ListChangelogs に対するレスポンス メッセージです。

ListChangelogsResponse

JSON 表現
{
  "changelogs": [
    {
      object (Changelog)
    }
  ],
  "nextPageToken": string
}
フィールド
changelogs[]

object (Changelog)

変更ログのリスト。

nextPageToken

string

次のページを取得するために ListChangelogsRequest.page_token として送信できるトークン。このフィールドがない場合は、後続のページがないことを示します。

変更履歴

JSON 表現
{
  "name": string,
  "author": string,
  "displayName": string,
  "description": string,
  "resource": string,
  "resourceType": string,
  "action": string,
  "originalResource": {
    object
  },
  "newResource": {
    object
  },
  "dependentResources": [
    {
      object
    }
  ],
  "createTime": string,
  "sequenceNumber": string
}
フィールド
name

string

ID。変更ログの一意の識別子。形式: projects/{project}/locations/{location}/apps/{app}/changelogs/{changelog}

author

string

出力専用。変更の作成者のメールアドレス。

displayName

string

出力専用。変更の表示名。通常は、変更されたリソースの表示名にする必要があります。

description

string

出力専用。変更の説明。通常は、リソース内の変更されたフィールドをキャプチャします。

resource

string

出力専用。変更されたリソース。

resourceType

string

出力専用。変更されたリソースのタイプ。

action

string

出力専用。リソースに対して実行されたアクション。

originalResource

object (Struct format)

出力専用。変更前の元のリソース。

newResource

object (Struct format)

出力専用。変更後の新しいリソース。

dependentResources[]

object (Struct format)

出力専用。変更された依存リソース。

createTime

string (Timestamp format)

出力専用。変更が行われた日時。

RFC 3339 を使用します。生成された出力は常に Z 正規化され、小数点以下は 0、3、6、または 9 桁になります。「Z」以外のオフセットも使用できます。例: "2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

sequenceNumber

string (int64 format)

出力専用。変更ログの単調増加シーケンス番号。

構造体

JSON 表現
{
  "fields": {
    string: value,
    ...
  }
}
フィールド
fields

map (key: string, value: value (Value format))

動的に型指定される値の順序なしのマップ。

"key": value ペアのリストを含むオブジェクト。例: { "name": "wrench", "mass": "1.3kg", "count": "3" }

FieldsEntry

JSON 表現
{
  "key": string,
  "value": value
}
フィールド
key

string

value

value (Value format)

JSON 表現
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
フィールド
共用体フィールド kind。値の種類。kind は次のいずれかになります。
nullValue

null

null 値を表します。

numberValue

number

double 値を表します。

stringValue

string

文字列値を表します。

boolValue

boolean

ブール値を表します。

structValue

object (Struct format)

構造化された値を表します。

listValue

array (ListValue format)

Value の繰り返しを表します。

ListValue

JSON 表現
{
  "values": [
    value
  ]
}
フィールド
values[]

value (Value format)

動的に型指定される値の繰り返しフィールド。

タイムスタンプ

JSON 表現
{
  "seconds": string,
  "nanos": integer
}
フィールド
seconds

string (int64 format)

UNIX エポック 1970-01-01T00:00:00Z からの UTC 時刻の秒数を表します。-62135596800~253402300799 の範囲(両端を含む)にする必要があります(これは 0001-01-01T00:00:00Z~9999-12-31T23:59:59Z に対応します)。

nanos

integer

ナノ秒分解能による、秒の負ではない小数以下部分。このフィールドは、秒の代替ではなく、期間のナノ秒部分です。小数以下を含む負の秒の値は、時間を前方にカウントする負ではない nanos 値を持つ必要があります。0~999,999,999 にする必要があります(両端を含む)。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌